/*
 * mylink.c
 *
 * Functions returning results from a remote mysql database
 *
 * liuguangzhao@users.sf.net
 *
 * contrib/mylink/mylink.c
 * Copyright (c) 2010-2020, kitsoft.com
 * ALL RIGHTS RESERVED;
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without a written agreement
 * is hereby granted, provided that the above copyright notice and this
 * paragraph and the following two paragraphs appear in all copies.
 *
 * IN NO EVENT SHALL THE AUTHOR OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING
 * LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS
 * DOCUMENTATION, EVEN IF THE AUTHOR OR DISTRIBUTORS HAVE BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * THE AUTHOR AND DISTRIBUTORS SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE AUTHOR AND DISTRIBUTORS HAS NO OBLIGATIONS TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 *
 */

#ifndef MYLINK_H
#define MYLINK_H

#include "fmgr.h"

/*
 * External declarations
 */

extern Datum mylink_connect(PG_FUNCTION_ARGS);
extern Datum mylink_disconnect(PG_FUNCTION_ARGS);
// extern Datum mylink_count_row(PG_FUNCTION_ARGS);
extern Datum mylink_query(PG_FUNCTION_ARGS);
extern Datum mylink_exec(PG_FUNCTION_ARGS);
extern Datum mylink_select_db(PG_FUNCTION_ARGS);

extern Datum mylink_get_connections(PG_FUNCTION_ARGS);


#endif   /* MYLINK_H */
